import { BBox, GeoJsonProperties } from 'geojson';
import Supercluster from 'supercluster';
export interface UseSuperclusterArgument<P, C> {
    points: Array<Supercluster.PointFeature<P>>;
    bounds?: BBox;
    zoom?: number;
    options?: Supercluster.Options<P, C>;
}
declare const useSupercluster: <P extends GeoJsonProperties = Supercluster.AnyProps, C extends GeoJsonProperties = Supercluster.AnyProps>({ points, bounds, zoom, options, }: UseSuperclusterArgument<P, C>) => {
    clusters: (import("geojson").Feature<import("geojson").Point, P> | import("geojson").Feature<import("geojson").Point, Supercluster.ClusterProperties & C>)[];
    supercluster: Supercluster<P, C> | undefined;
};
export default useSupercluster;
