'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var Supercluster = _interopDefault(require('supercluster'));

var useSupercluster = function (_a) {
    var points = _a.points, bounds = _a.bounds, zoom = _a.zoom, options = _a.options;
    var superclusterRef = React.useRef();
    var _b = React.useState([]), clusters = _b[0], setClusters = _b[1];
    React.useEffect(function () {
        if (!superclusterRef.current) {
            superclusterRef.current = new Supercluster(options);
        }
        superclusterRef.current.load(points);
        if (bounds && zoom) {
            setClusters(superclusterRef.current.getClusters(bounds, zoom));
        }
    }, [points]);
    React.useEffect(function () {
        if (superclusterRef.current && bounds && zoom) {
            setClusters(superclusterRef.current.getClusters(bounds, zoom));
        }
    }, [bounds, zoom]);
    return {
        clusters: clusters,
        supercluster: superclusterRef.current,
    };
};

exports.default = useSupercluster;
//# sourceMappingURL=index.js.map
